define({"73":{y:0,u:"../Content/Setup_SystemGroups.htm",l:-1,t:"Use System Groups",i:0.00367025839843972,a:"Use System Groups This section describes how to configure system groups in Answer Server to request answers from multiple systems."},"74":{y:0,u:"../Content/System Groups/Groups_Configure.htm",l:-1,t:"Configure a System Group",i:0.00367025839843972,a:"An Answer Server system group is a set of answer systems that you want to retrieve answers from by sending a single system name to the Ask action. You can use system groups to make it easier to send Ask actions to multiple systems that you generally use together. For example, you might create a ..."},"75":{y:0,u:"../Content/System Groups/Groups_Ask.htm",l:-1,t:"Ask Questions to a System Group",i:0.00679005275268629,a:"When you have configured system groups, you can use them in the Ask action in the same way as individual systems. When you add a system group to the SystemNames parameter, Answer Server sends the Ask action to all the systems in that group. For example: http://localhost:12000?Action=Ask\u0026Text=Who won ..."},"76":{y:0,u:"../Content/Ask.htm",l:-1,t:"Ask Questions in Answer Server",i:0.004635909031897,a:"Ask Questions in Answer Server This section describes how to ask questions and get answers from Answer Server."},"77":{y:0,u:"../Content/Ask_Questions.htm",l:-1,t:"Ask a Question",i:0.00367025839843972,a:"To get answers from Answer Server, use the Ask action. Specify the question text in the Text parameter. For example: http://localhost:12000?Action=Ask\u0026Text=Who won the award for Best Picture in 2012? The Ask action also has a number of optional parameters to allow you to tune your results. ..."},"78":{y:0,u:"../Content/Ask_Context.htm",l:-1,t:"Use Context in the Ask Action",i:0.0355533961654914,a:"You can apply a context to a question that you send with the Ask action. The context  specifies additional information to limit the scope of the question. In Fact Bank the context is a specific entity used in disambiguation, for example, you might set a context to specify that a user is asking ..."},"79":{y:0,u:"../Content/Ask_GetFacts.htm",l:-1,t:"Retrieve All Facts About an Entity",i:0.00367025839843972,a:"You can retrieve all facts that relate to a particular entity by using the Report action. This action applies only to Fact Bank systems that use a SQL database backend. You specify an entity, and this action returns all facts in your Fact Bank that include this entity as the entity, or as a property ..."},"80":{y:0,u:"../Content/Setup_Conversation.htm",l:-1,t:"Set Up a Conversation System",i:0.004635909031897,a:"Set Up a Conversation System This section describes how to set up a Conversation system, and configure the subcomponents."},"81":{y:0,u:"../Content/Manage Conversation/Conv_Configure.htm",l:-1,t:"Configure the Conversation System",i:0.0118978266063447,a:"The Answer Server configuration file contains information about the subcomponents and settings for your Conversation systems.  For any Conversation system, you must configure the name of a JSON task configuration file, which defines the conversation task in detail. For details about how to create ..."},"82":{y:0,u:"../Content/Manage Conversation/Conv_TaskConfiguration.htm",l:-1,t:"Create a Task Configuration File",i:0.013784387482085,a:"The Conversation task configuration file describes all the settings for a particular conversation task, including prompts, triggers, response validation, and the details of Lua scripts to run. You can retrieve the full schema for the task configuration JSON file by sending the GetResources action ..."},"83":{y:0,u:"../Content/Manage Conversation/Conv_PreActions.htm",l:-1,t:"Pre-Task Actions",i:0.0164730463308682,a:"Pre-task actions run  before the main part of the task. When user input triggers a particular task, Answer Server runs the pre-task actions before checking for requirements. The main use of this option is to provide an initial prompt at the start of the task. To configure pre-task actions, you set ..."},"84":{y:0,u:"../Content/Manage Conversation/Conv_Triggers.htm",l:-1,t:"Conversation Triggers",i:0.011020082819517,a:"A conversation trigger defines when to run a particular conversation task. When you start a conversation session, or when a user provides text, Answer Server finds the conversation trigger that matches the input, and runs the appropriate task. You can use several different types of triggers: Agent. ..."},"85":{y:0,u:"../Content/Manage Conversation/Conv_Requirements.htm",l:-1,t:"Task Requirements",i:0.0160790530199045,a:"Task requirements specify a piece of information that the user must provide before Answer Server can complete the task. Tasks can have multiple requirements.  When a user provides information to satisfy a requirement, Answer Server updates a variable. It stores the variable to use later in the task ..."},"86":{y:0,u:"../Content/Manage Conversation/Conv_ResponseValidation.htm",l:-1,t:"Response Validation",i:0.023396782688299,a:"Response validation allows you to check that the user response contains the information you need to complete a task, or route to an appropriate task. You use validators in the requirements for your tasks (see  Task Requirements ). You can use several different types of validation: Simple. Validate ..."},"87":{y:0,u:"../Content/Manage Conversation/Conv_PostActions.htm",l:-1,t:"Post-Task Actions",i:0.023396782688299,a:"Post-task actions run at the end of the task, after all the task requirements have been satisfied. You can use these options to return an acknowledgment response to the user to confirm the details in the task, and to run a Lua function that performs some final operation with the collected task ..."},"88":{y:0,u:"../Content/Manage Conversation/Conv_Routing.htm",l:-1,t:"Task Routing",i:0.0147866910179073,a:"Task routing allows you to specify a task to run after the current task is complete. There are two types of routing that you can use: Simple. You provide the ID of the task to run after the current task is complete.  Conditional. You specify a set of conditions (such as user selections), and specify ..."},"89":{y:0,u:"../Content/Manage Conversation/Conv_LuaProcessing.htm",l:-1,t:"Lua Processing Scripts",i:0.0684092666853499,a:"You can use Lua functions to perform additional processing for your tasks. For example, if you have a conversation task that sets up the options that a user wants to use to open an account, or make a transaction, you might use a Lua function to call out to an external system to perform the final ..."},"90":{y:0,u:"../Content/Manage Conversation/Conv_DefaultTasks.htm",l:-1,t:"Default Tasks",i:0.0233169888434972,a:"In most cases, you use conversation triggers or routing to direct users to particular conversation tasks. However, you must also configure an initial task and a fallback task.  Initial Task The initial task runs when the conversation session starts. It activates when you start a conversation by ..."},"91":{y:0,u:"../Content/Manage Conversation/Conv_DefaultMessages.htm",l:-1,t:"Default Messages",i:0.0249763684034439,a:"The conversation system has several default messages that it uses, in addition to the responses that exist in the task configuration. These default messages have standard values in Answer Server. You can change the default values, for example, if you want to run conversations in a different ..."},"92":{y:0,u:"../Content/Manage Conversation/Conv_TaskCancellation.htm",l:-1,t:"Task Cancellation",i:0.023396782688299,a:"You can configure settings to define when and how to cancel a conversation task.  You can define task cancellation options at the top level of your task configuration file, to define global cancellation options. You can also define it in a task, a task requirement, and in a post-task conditional ..."},"93":{y:0,u:"../Content/Manage Conversation/Conv_Example.htm",l:-1,t:"Task Configuration Example",i:0.00367025839843972,a:"The Answer Server installation includes an example conversation JSON configuration and Lua script.  You can view the example files in the conversation/examples/travel directory in your Answer Server installation. The default Answer Server configuration file contains a commented example conversation ..."},"94":{y:0,u:"../Content/Manage Conversation/Conv_Agentstore.htm",l:-1,t:"Configure the Conversation Agentstore",i:0.0055437991433763,a:"The Conversation Agentstore is an optional component. You do not need to configure it if you do not want to use agent triggers in your conversation tasks. See  Conversation Triggers . The IDOL Agentstore component is a specially configured IDOL Content component.  In agent search, you send plain ..."},"95":{y:0,u:"../Content/Manage Conversation/Conv_CheckSpelling.htm",l:-1,t:"Check Spelling in Conversations",i:0.00367025839843972,a:"Answer Server can check the spelling of input to a conversation system. This means that if a user makes a spelling error, the conversation system can still suggest potential answers.  When a user submits input that does not trigger any tasks, Answer Server runs the spelling checker. If a spelling ..."},"96":{y:0,u:"../Content/Converse.htm",l:-1,t:"Hold Conversations in Answer Server",i:0.00411594330618923,a:"Hold Conversations in Answer Server This section describes how to hold conversations in Answer Server."},"97":{y:0,u:"../Content/Manage Conversation/Conv_StartConversation.htm",l:-1,t:"Hold a Conversation",i:0.0234920460645459,a:"To start conversations, you must create a conversation session in Answer Server, which generates a session token. You use this session token to track a particular conversation in the Converse action. Create a Conversation Session To create a conversation session, you use a ManageResources action in ..."},"98":{y:0,u:"../Content/NLG/NLG.htm",l:-1,t:"Use Natural Language Generation in Answer Server",i:0.00367025839843972,a:"Use Natural Language Generation in Answer Server This section describes how to configure Answer Server to use natural language generation (NLG), and how to use the NLG action to generate sentences."},"99":{y:0,u:"../Content/NLG/Configure_NLG.htm",l:-1,t:"Configure Natural Language Generation ",i:0.00367025839843972,a:" Answer Server Natural Language Generation (NLG) generates a user-friendly natural language sentence from a JSON object that describes the parts of speech to include. You can use NLG, for example, to generate user-friendly responses for a user interface in a programmatic way.  You can use NLG only ..."},"100":{y:0,u:"../Content/NLG/Run_NLG.htm",l:-1,t:"Run Natural Language Generation",i:0.00367025839843972,a:"You run NLG by sending the NLG action to Answer Server in a POST request method. You submit a JSON object, which contains details of the parts of speech that you want to use to generate a sentence, and the action returns the appropriate sentence.  curl http://localhost:12000/?action=NLG –F Spec={\n  ..."},"101":{y:0,u:"../Content/Part_Appendix.htm",l:-1,t:"Appendixes",i:0.00367025839843972,a:"Appendixes This section contains additional information about Answer Server. Debug Your Conversation Lua Scripts"},"102":{y:0,u:"../Content/Manage Conversation/App_Conv_LuaDebugging.htm",l:-1,t:"Debug Your Conversation Lua Scripts",i:0.00679005275268629,a:"The Answer Server installation includes IDE files to allow you to debug your Conversation system Lua scripts with the  ZeroBrane Studio Lua IDE  on Windows. For more information about conversation Lua scripts, see  Lua Processing Scripts . To use Lua debugging, you must install ZeroBrane Studio (see ..."},"103":{y:0,u:"../Content/Shared_Admin/_ADM_HTML_Cover.htm",l:-1,t:"Answer Server",i:0.00367025839843972,a:"IDOL Answer Server Software Version 12.9     Administration Guide     Document Release Date: June 2021 Software Release Date: June 2021"},});